POST
Payouts/payoutsCreate payout request
Creates an idempotent payout request from a wallet.
Access tierbusiness_financeRate limit20/minIdempotencybody:idempotency_keyAuthenticationBearerAuth
Source
LuxApi/app/Http/Controllers/Api/PayoutApiController.php::createLuxPayProjects @ 146e98baa44eParameters
X-Request-IDheaderClient correlation identifier. LuxPay may generate one when omitted.
Example:req_01J...Request body
CreatePayoutRequestRequired
wallet_idinteger
amountnumber
currency_codestring
idempotency_keystring
payout_methodstring | null
payout_destinationobject | null
descriptionstring | null
JSON example
{
"wallet_id": 1,
"amount": 1,
"currency_code": "string",
"idempotency_key": "string",
"payout_method": "string",
"payout_destination": {},
"description": "string"
}Code examples
The displayed sandbox host is a placeholder until an official host is provisioned. Never paste a production token into a public browser.
curl --request POST \
--url 'https://sandbox-api.luxpay.example/v1/payouts' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"wallet_id": 1,
"amount": 1,
"currency_code": "string",
"idempotency_key": "string",
"payout_method": "string",
"payout_destination": {},
"description": "string"
}'Responses
201Successful response.
statusboolean
Example:
truemessagestring | null
message_translatedstring | null
dataPayout
{
"status": true,
"message": "string",
"message_translated": "string",
"data": {
"id": 1,
"uuid": "00000000-0000-4000-8000-000000000001",
"wallet_id": 1,
"amount": 1,
"currency_code": "string",
"status": "pending",
"payout_method": "string",
"payout_destination": {},
"description": "string",
"idempotency_key": "string",
"attempts": [
{}
],
"created_at": "2026-07-16T12:00:00Z"
}
}